%define upstream_name    Minion
%define upstream_version 10.30

%global __requires_exclude perl\\(EV\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Minion - Job queue
License:    Artistic 2.0
Group:      Development/Perl
Url:        https://mojolicious.org/perldoc/Minion
Source0:    https://cpan.metacpan.org/authors/id/S/SR/SRI/%{upstream_name}-%{upstream_version}.tar.gz

Requires:   perl(Mojolicious)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Mojolicious) >= 9.0.0
BuildRequires: perl(YAML::XS) >= 0.670.0
BuildArch:  noarch

%{?perl_default_filter}

%description
Minion is a job queue for the Mojolicious real-time web framework, with support for multiple named queues, priorities, delayed jobs, job dependencies, job progress, job results, retries with backoff, rate limiting, unique jobs, statistics, distributed workers, parallel processing, autoscaling, remote control, admin ui, resource leak protection and multiple backends (such as PostgreSQL).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Jun 18 2024 tv <tv> 10.300.0-1.mga10
+ Revision: 2074937
- update to 10.30

* Tue Mar 26 2024 tv <tv> 10.290.0-1.mga10
+ Revision: 2052361
- update to 10.29

* Mon Dec 04 2023 tv <tv> 10.280.0-1.mga10
+ Revision: 2012949
- update to 10.28

* Mon Nov 13 2023 tv <tv> 10.260.0-1.mga10
+ Revision: 2006512
- update to 10.26

* Tue Jun 28 2022 tv <tv> 10.250.0-1.mga9
+ Revision: 1866465
- update to 10.25

* Thu May 05 2022 tv <tv> 10.240.0-1.mga9
+ Revision: 1856230
- update to 10.24

* Wed Mar 23 2022 umeabot <umeabot> 10.230.0-2.mga9
+ Revision: 1821006
- Mageia 9 Mass Rebuild

* Sat Jan 22 2022 tv <tv> 10.230.0-1.mga9
+ Revision: 1769394
- update to 10.23

* Sat Jun 12 2021 tv <tv> 10.220.0-1.mga9
+ Revision: 1730484
- update to 10.22

* Mon Mar 22 2021 tv <tv> 10.210.0-1.mga9
+ Revision: 1707208
- update to 10.21

* Tue Mar 16 2021 tv <tv> 10.200.0-1.mga9
+ Revision: 1703724
- update to 10.20

* Thu Mar 11 2021 tv <tv> 10.190.0-1.mga9
+ Revision: 1701367
- update to 10.19

* Wed Mar 10 2021 tv <tv> 10.180.0-1.mga9
+ Revision: 1700954
- update to 10.18

* Tue Mar 09 2021 tv <tv> 10.170.0-1.mga9
+ Revision: 1700784
- update to 10.17

* Thu Feb 25 2021 tv <tv> 10.160.0-1.mga9
+ Revision: 1690327
- update to 10.16

* Mon Jan 04 2021 tv <tv> 10.150.0-1.mga8
+ Revision: 1668583
- update to 10.15

* Mon Oct 26 2020 tv <tv> 10.140.0-1.mga8
+ Revision: 1639511
- update to 10.14

* Sat Aug 01 2020 tv <tv> 10.130.0-1.mga8
+ Revision: 1610098
- update to 10.13

* Mon Jul 13 2020 tv <tv> 10.100.0-1.mga8
+ Revision: 1605811
- update to 10.10

* Fri Jul 10 2020 tv <tv> 10.90.0-1.mga8
+ Revision: 1603962
- update to 10.09

* Fri Jun 19 2020 tv <tv> 10.80.0-1.mga8
+ Revision: 1596600
- update to 10.08

* Wed Jun 03 2020 tv <tv> 10.60.0-1.mga8
+ Revision: 1589869
- update to 10.06

* Mon Jun 01 2020 tv <tv> 10.50.0-1.mga8
+ Revision: 1589392
- update to 10.05

* Thu Feb 20 2020 umeabot <umeabot> 10.40.0-2.mga8
+ Revision: 1546087
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 tv <tv> 10.40.0-1.mga8
+ Revision: 1485883
- update to 10.04

* Sun Dec 22 2019 tv <tv> 10.20.0-1.mga8
+ Revision: 1469393
- update to 10.02

* Tue Dec 17 2019 tv <tv> 10.10.0-1.mga8
+ Revision: 1468534
- update to 10.01

* Sun Nov 17 2019 tv <tv> 10.0.0-1.mga8
+ Revision: 1461353
- update to 10.0

* Sat Aug 31 2019 tv <tv> 9.130.0-1.mga8
+ Revision: 1435887
- update to 9.13

* Tue Aug 06 2019 tv <tv> 9.120.0-1.mga8
+ Revision: 1427737
- update to 9.12

* Mon Jul 08 2019 tv <tv> 9.110.0-1.mga8
+ Revision: 1419639
- update to 9.11

* Sun Jun 30 2019 tv <tv> 9.100.0-1.mga8
+ Revision: 1416429
- update to 9.10

* Mon Feb 04 2019 tv <tv> 9.90.0-1.mga7
+ Revision: 1363036
- update to 9.09

* Sun Feb 03 2019 tv <tv> 9.80.0-1.mga7
+ Revision: 1362872
- update to 9.08

* Sat Oct 20 2018 tv <tv> 9.70.0-1.mga7
+ Revision: 1322685
- update to 9.07

* Thu Sep 20 2018 umeabot <umeabot> 8.80.0-2.mga7
+ Revision: 1284771
- Mageia 7 Mass Rebuild

* Thu Jan 11 2018 kharec <kharec> 8.80.0-1.mga7
+ Revision: 1192210
- update to 8.08

* Sun Nov 19 2017 kharec <kharec> 8.20.0-1.mga7
+ Revision: 1177873
- imported package perl-Minion

